Attach file to custom property

POST
https://example.flowfast.io/api/latest/cards/{card_uid}/custom-properties/{property_uid}/files
Path parameters
NameTypeReference
card_uidrequiredstringCard UID
property_uidrequiredstringCustom property UID
Headers
NameValueDescription
AuthorizationrequiredBearer <token>API token is required
Content-Typemultipart/form-data
Responses

200
DescriptionResponse typeExample
SuccessObjectResponse body does not exist
Response Attributes
NameTypeDescription
id

string

File id
name

string

File name
size

string

File size in bytes (bigint serialized as string)
mime_type

string

MIME type
author_uid

string

Author UID
card_uid

string

Card UID
custom_property_uid

string

Custom property UID
entity_type

string

File entity type
created

string

Create date
updated

string

Last update timestamp
card_cover

boolean

Flag indicating that image is used as card cover
400
DescriptionResponse typeExample
Validation errorObjectResponse body does not exist
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
FlowFast
If you have any questions or need help with integration feel free to write us at support@flowfast.io

Path Parameters

Upload file

  1  curl --request POST \
  2       --url 'https://example.flowfast.io/api/latest/cards/{card_uid}/custom-properties/{property_uid}/files' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: multipart/form-data' \
  5       
  6       

Response

ClickTry It!to start a request and see the response here!